﻿@using System.Web.UI.WebControls;
@using Portal.Models.Globals;
@using Portal.Models.BuyingPriceMaintenance;

<script type = "text/javascript">
    function OnLookUpClick(s, e) {
        s.GetSelectedFieldValues('MAT_DESC', function (field) {
                AddEditMaterialDesc.SetValue(field);
            });
        }

</script>
<div>
    <div>
       
        <table style="width:100%;margin-top:10px; color:blue">
            
            <tr>
                <td>
                    @Html.DevExpress().Label(
                    edtSetitng => {
                    edtSetitng.ControlStyle.CssClass = "label";
                    edtSetitng.Text = "Bussiness Area";
                    edtSetitng.ControlStyle.Wrap = DefaultBoolean.False;
                    }
                     ).GetHtml()
                </td>
                <td>
                   @Html.DevExpress().ComboBox(
                    addEditSeting =>
                    {
                        addEditSeting.Name = "AddEditBisnisArea";
                        addEditSeting.Width = Unit.Pixel(170);
                        addEditSeting.Properties.TextField = "SYSTEM_REMARK";
                        addEditSeting.Properties.ValueField = "SYSTEM_CD";                   
                        addEditSeting.Properties.DropDownStyle = DropDownStyle.DropDownList;
                    }).BindList(ViewData["DropdownnBusinessArea"]).GetHtml()
            </tr>

            <tr>
                <td>
                    @Html.DevExpress().Label(
                    edtSetitng => {
                    edtSetitng.ControlStyle.CssClass = "label";
                    edtSetitng.Text = "Material No";
                    edtSetitng.ControlStyle.Wrap = DefaultBoolean.False;
                    }
                     ).GetHtml()
                </td>
                <td>
                    @Html.Common().DevExpress().GridLookup(
                        gridLookup => {
                            gridLookup.Name = "AddEditMaterialNo";
                            gridLookup.Width = 170;
                            gridLookup.GridProperties.KeyFieldName = "MAT_NO";
                            gridLookup.GridProperties.CallbackRouteValues = new { Controller = "BuyingPriceMaintenance", Action = "LookUpMaterial" };
                            gridLookup.GridProperties.ClientSideEvents.RowClick = "OnLookUpClick";
                            gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                            gridLookup.ReadOnly = true;
                            gridLookup.GridProperties.Columns.Add(
                            column =>
                            {
                                column.Name = "MAT_NO";
                                column.FieldName = "MAT_NO";
                                column.Caption = "Material No";
                                column.Width = Unit.Pixel(150);
                                column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                                column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                            });
                    
                            gridLookup.GridProperties.Columns.Add(column =>
                            {
                                column.Name = "MAT_DESC";
                                column.FieldName = "MAT_DESC";
                                column.Caption = "Material Desc";
                                column.Width = Unit.Pixel(400);
                                column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                                column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                            });

                       }).Bind(ViewData["lookUPmaterial"]).GetHtml()
                 </td>
                <td></td>
                <td></td>

                 <td>
                    @Html.DevExpress().Label(
                    edtSetitng => {
                    edtSetitng.ControlStyle.CssClass = "label";
                    edtSetitng.Text = "Price Status";
                    edtSetitng.ControlStyle.Wrap = DefaultBoolean.False;
                    }
                     ).GetHtml()
                </td>
                <td>
                     @Html.DevExpress().ComboBox(
                    ps =>
                    {
                        ps.Name = "AddEditPriceStatus";
                        ps.Width = Unit.Pixel(170);
                        ps.Properties.TextField = "Text";
                        ps.Properties.ValueField = "Val";
                        ps.Properties.DropDownStyle = DropDownStyle.DropDownList;
                        
                        ps.Properties.Columns.Add("Val", "Code");
                        ps.Properties.Columns.Add("Text", "Name");
                    }).BindList(ViewData["DropdownlistPriceSts"]).GetHtml()
                 </td>
            </tr>

            <tr>
                <td>
                    @Html.DevExpress().Label(
                    edtSetitng => {
                    edtSetitng.ControlStyle.CssClass = "label";
                    edtSetitng.Text = "Material Description";
                    edtSetitng.ControlStyle.Wrap = DefaultBoolean.False;
                    }
                     ).GetHtml()
                </td>
                <td>
                     @Html.DevExpress().TextBox(
                    addEditSeting =>
                    {
                        addEditSeting.Name = "AddEditMaterialDesc";
                        addEditSeting.Width = 170;                        
                        addEditSeting.ClientEnabled = false;
                        addEditSeting.ReadOnly = true;  
                        addEditSeting.Properties.ReadOnlyStyle.BackColor = System.Drawing.Color.LightGray; 
                        
                    }).GetHtml()
                 </td>
                <td></td>
                <td></td>

                 <td>
                    @Html.DevExpress().Label(
                    edtSetitng => {
                    edtSetitng.ControlStyle.CssClass = "label";
                    edtSetitng.Text = "Price";
                    edtSetitng.ControlStyle.Wrap = DefaultBoolean.False;
                    }
                     ).GetHtml()
                </td>
                <td>
                     @Html.DevExpress().TextBox(
                    addEditSeting =>
                    {
                        addEditSeting.Name = "AddEditPrice";
                        addEditSeting.Width = Unit.Pixel(170);
                        addEditSeting.Properties.MaxLength = 16;
                    }).GetHtml()
                 </td>
            </tr>

            <tr>
                <td>
                    @Html.DevExpress().Label(
                    edtSetitng => {
                    edtSetitng.ControlStyle.CssClass = "label";
                    edtSetitng.Text = "Production Purpose";
                    edtSetitng.ControlStyle.Wrap = DefaultBoolean.False;
                    }
                     ).GetHtml()
                </td>
                <td>
                     @Html.DevExpress().ComboBox(
                    cpp =>
                    {
                        cpp.Name = "AddEditProdPurpose";
                        cpp.Width = Unit.Pixel(170);
                        cpp.Properties.IncrementalFilteringMode = IncrementalFilteringMode.StartsWith;
                        cpp.Properties.TextField = "Text";
                        cpp.Properties.ValueField = "Val";
                        cpp.Properties.DropDownStyle = DropDownStyle.DropDown;
                        cpp.Properties.Columns.Add("Val", "Code", Unit.Pixel(60));
                        cpp.Properties.Columns.Add("Text", "Name");

                    }).BindList(ViewData["DropdownlistProd"]).GetHtml()
                 </td>
                <td></td>
                <td></td>

                 <td>
                    @Html.DevExpress().Label(
                    edtSetitng => {
                    edtSetitng.ControlStyle.CssClass = "label";
                    edtSetitng.Text = "Currency";
                    edtSetitng.ControlStyle.Wrap = DefaultBoolean.False;
                    }
                     ).GetHtml()
                </td>
                <td>
                     @Html.DevExpress().ComboBox(
                    addEditSeting =>
                    {
                        addEditSeting.Name = "AddEditCurrency";
                        addEditSeting.Width = Unit.Pixel(170);
                        addEditSeting.Properties.TextField = "CURR_CD";                        
                        addEditSeting.Properties.DropDownStyle = DropDownStyle.DropDownList;
                    }).BindList(ViewData["DropdownlistCurrCD"]).GetHtml()
                 </td>
            </tr>

            <tr>
                <td>
                    @Html.DevExpress().Label(
                    edtSetitng => {
                    edtSetitng.ControlStyle.CssClass = "label";
                    edtSetitng.Text = "Source Type";
                    edtSetitng.ControlStyle.Wrap = DefaultBoolean.False;
                    }
                     ).GetHtml()
                </td>
                <td>
                     @Html.DevExpress().ComboBox(
                    c =>
                    {
                        c.Name = "AddEditSourceType";
                        c.Width = Unit.Pixel(170);
                        c.Properties.IncrementalFilteringMode = IncrementalFilteringMode.StartsWith;
                        c.Properties.DropDownStyle = DropDownStyle.DropDown;
                        c.Properties.Columns.Add("Val", "Code", Unit.Pixel(60));
                        c.Properties.Columns.Add("Text", "Name");
                        c.Properties.TextField = "Text";
                        c.Properties.ValueField = "Val";

                    }).BindList(ViewData["SourceTypeCombo"]).GetHtml()
                 </td>
                <td></td>
                <td></td>

                 <td>
                    @Html.DevExpress().Label(
                    edtSetitng => {
                    edtSetitng.ControlStyle.CssClass = "label";
                    edtSetitng.Text = "Valid From";
                    edtSetitng.ControlStyle.Wrap = DefaultBoolean.False;
                    }
                     ).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().DateEdit(
                    addEditSeting =>
                    {
                        addEditSeting.Name = "AddEditValidFrom";
                        addEditSeting.Width = Unit.Pixel(170);
                        addEditSeting.Properties.EditFormat = EditFormat.Custom;
                        addEditSeting.Properties.DisplayFormatString = "dd.MM.yyyy";
                        addEditSeting.Properties.EditFormatString = "dd.MM.yyyy";
                       
                    }).GetHtml()
                 </td>
            </tr>

            <tr>
                <td>
                    @Html.DevExpress().Label(
                    edtSetitng =>
                         {
                    edtSetitng.ControlStyle.CssClass = "label";
                    edtSetitng.Text = "Supplier Code";
                    edtSetitng.ControlStyle.Wrap = DefaultBoolean.False;
                    }
                     ).GetHtml()
                </td>
                <td>
                    @Html.Common().DevExpress().GridLookup(
                       gridLookup =>
                            {
                           gridLookup.Name = "AddEditSupplierCd";
                           gridLookup.Width = 170;
                           gridLookup.GridProperties.KeyFieldName = "SUPP_CD";
                           gridLookup.GridProperties.CallbackRouteValues = new { Controller = "BuyingPriceMaintenance", Action = "LookUpSupplierCode" };
                           gridLookup.ReadOnly = true;
                           gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                           gridLookup.GridProperties.Columns.Add(
                           column =>
                           {
                               column.Name = "SUPP_CD";
                               column.FieldName = "SUPP_CD";
                               column.Caption = "Supplier<br/>Code";
                               column.Width = Unit.Pixel(80);
                               column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                               column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                           });

                             gridLookup.GridProperties.Columns.Add(column =>
                           {
                               column.Name = "SUPP_NAME";
                               column.FieldName = "SUPP_NAME";
                               column.Caption = "Vendor<br />Name";
                               column.Width = Unit.Pixel(500);
                               column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                               column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                           });

                      }).Bind(ViewData["AddEditSupplierCd"]).GetHtml()
                </td>
                <td></td>
                <td></td>

                <td style="width:120px;">
                    @Html.DevExpress().Label(
                        edtSettings =>
                             {
                            edtSettings.ControlStyle.CssClass = "label";
                            edtSettings.Text = "Valid To";
                            edtSettings.ControlStyle.Wrap = DefaultBoolean.False;
                        }).GetHtml()
                </td>
                <td style=" width:200px;">
                    @Html.DevExpress().DateEdit(
                        edtSettings =>
                        {
                            edtSettings.Name = "AddEditValidTo";
                            edtSettings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                            edtSettings.Properties.EditFormat = EditFormat.Custom;
                            edtSettings.Properties.DisplayFormatString = "dd.MM.yyyy";
                            edtSettings.Properties.EditFormatString = "dd.MM.yyyy";
                            edtSettings.Properties.DropDownButton.Image.Url = "Content/images/cal.png";
                            edtSettings.Width = 170;
                            edtSettings.ClientEnabled = false;
                            edtSettings.ReadOnly = true;
                            edtSettings.Properties.ReadOnlyStyle.BackColor = System.Drawing.Color.LightGray;
                        }).GetHtml()
                </td>
            </tr>

            <tr>
                <td>
                    @Html.DevExpress().Label(
                    edtSetitng => {
                    edtSetitng.ControlStyle.CssClass = "label";
                    edtSetitng.Text = "Part Color Suffix";
                    edtSetitng.ControlStyle.Wrap = DefaultBoolean.False;
                    }
                     ).GetHtml()
                </td>
                <td>
                   @Html.DevExpress().TextBox(
                    addEditSeting =>
                    {
                        addEditSeting.Name = "AddEditPartColorSfx";
                        addEditSeting.Width = Unit.Pixel(170);
                        addEditSeting.Properties.MaxLength = 2;
                    }).GetHtml()
            </tr>

            <tr>
                <td>
                    @Html.DevExpress().Label(
                    edtSetitng => {
                    edtSetitng.ControlStyle.CssClass = "label";
                    edtSetitng.Text = "Packing Type";
                    edtSetitng.ControlStyle.Wrap = DefaultBoolean.False;
                    }
                     ).GetHtml()
                </td>
                <td>
                   @Html.DevExpress().ComboBox(
                    pt =>
                    {
                        pt.Name = "AddEditPackingType";
                        pt.Width = Unit.Pixel(170);
                        pt.Properties.Items.Add("", "");
                        pt.Properties.TextField = "Text";
                        pt.Properties.ValueField = "Val";                        
                        pt.Properties.DropDownStyle = DropDownStyle.DropDownList;
                        pt.Properties.Columns.Add("Val", "Code");
                        pt.Properties.Columns.Add("Text", "Text"); 
                    }).BindList(ViewData["DropdownlistPackingType"]).GetHtml()
            </tr>

        </table>

        <table width="100%;">
            <tr style="height:75px"></tr> @* row spacing *@
            <tr>
                <td style="width:90px;">
                    @Html.DevExpress().Button(
                        edtSetting =>
                        {
                            edtSetting.Name = "AddEditSaveButton";
                            edtSetting.Text = "Save";
                            edtSetting.Width = Unit.Pixel(80);
                            edtSetting.ClientSideEvents.Click = "SaveButtonClick";
                        }
                    ).GetHtml()
                </td>
              
                <td style="width:90px;">
                    @Html.DevExpress().Button(
                        edtSetting =>
                        {
                            edtSetting.Name = "AddEditCancelButton";
                            edtSetting.Text = "Cancel";
                            edtSetting.Width = Unit.Pixel(80);
                            edtSetting.ClientSideEvents.Click = "CancelButtonClick";
                        }
                    ).GetHtml()
                </td>
                <td style="width:90px;">
                    @Html.DevExpress().Button(
                        edtSetting =>
                        {
                            edtSetting.Name = "AddEditCloseButton";
                            edtSetting.Text = "Close";
                            edtSetting.Width = Unit.Pixel(80);
                            edtSetting.ClientSideEvents.Click = "function(s, e){ BuyingPriceAddedit.Hide();}";
                        }
                    ).GetHtml()
                </td>
                <td style="width:1200px;"></td>
                <td style="width:90px;"></td>
            </tr>
    </table>
    </div>
</div>
